rem # =======================================
rem # Start the OpenCCM Interface Repository.
rem # =======================================

call ir3_start_with_all

rem # feed emf-ems idl files
rem call ir3_feed idl/CosNaming.idl
call ir3_feed idl\TimeBase.idl
call ir3_feed idl\snmp_smi.idl
call ir3_feed idl\itut_x780Const.idl
call ir3_feed idl\itut_x780.idl
call ir3_feed idl\itut_m3120.idl
call ir3_feed idl\itut_q816.idl
call ir3_feed idl\coachEmfServices.idl
call ir3_feed idl\coachEmsMib.idl
call ir3_feed idl\itut_q816Components.idl3
call ir3_feed idl\itut_x780Components.idl3
call ir3_feed idl\itut_m3120Components.idl3
call ir3_feed idl\coachEmfServicesComponents.idl3
call ir3_feed idl\coachEmsMibComponents.idl3
call ir3_feed idl\coachEmfClientComponents.idl3


for /f %%i in (%OpenCCM_CONFIG_DIR%\NameService.IOR) do set IOR_NS=%%i
set args=-ORBInitRef NameService=%IOR_NS%

for /f %%i in (%OpenCCM_CONFIG_DIR%\IR3.IOR) do set IOR_IR=%%i
set args=%args% -ORBInitRef InterfaceRepository=%IOR_IR%

echo The COACH Actor will be started.

rem # ========================
rem # Start the Actor Console.
rem # ========================

echo Launching the COACH Actor.
call launcher fork "" "%* %args% %OpenCCM_HOMEDIR%\xml\launcher\Actor.xml" %OpenCCM_CONFIG_DIR%\Actor.output %OpenCCM_CONFIG_DIR%\Actor.PID
