package ist.coach.coachEmsMibComponents.IpRoutingEntryProviderComposition;

import org.omg.CosNaming.NameComponent;
import intt.itu.itut_x780.SourceIndicatorType;

public class IpRoutingEntryStructure {

		public NameComponent [] name;
        public String objectclass;
        public String [] packages;
        public SourceIndicatorType sourceIndicator;
        public short deletePolicy;
		public String routeDest;

		private int notificationIdentifier;
        public String mgmtIpAddress;
        private int snmpPort;
        private int supportedSnmpVersions;


	public IpRoutingEntryStructure() {}

	public IpRoutingEntryStructure(
	    NameComponent [] name,
            String objectclass,
            String [] packages,
            SourceIndicatorType sourceIndicator,
            short deletePolicy,
			String routeDest,
			String mgmtIpAddress,
            int snmpPort,
            int supportedSnmpVersions) {

			this.name = name;
            this.objectclass = objectclass;
            this.packages = packages;
            this.sourceIndicator = sourceIndicator;
            this.deletePolicy = deletePolicy;
			this.notificationIdentifier = 0;
            this.mgmtIpAddress = mgmtIpAddress;
			this.routeDest = routeDest;
            this.snmpPort = snmpPort;
            this.supportedSnmpVersions = supportedSnmpVersions;
		  }

        public int getUniqueNotificationIdentifier() {

            this.notificationIdentifier++;

            return (this.notificationIdentifier);
        }

        public String getMgmtIpAddress() {
            return mgmtIpAddress;
        }

        public int getSnmpPort() {
            return snmpPort;
        }

        public int getSupportedSnmpVersions() {
            return supportedSnmpVersions;
        }
	}
