/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jerome Offroy.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.util.monolog.provider.lib.topics;

import org.objectweb.ccm.trace.OpenCCM_Topics;


/**
 * @author Jerome Offroy
 *
 * Class used to get plateform specific preTopics String from a properties file
 * Strings in the properties file a refererenced by :
 *          class name
 *          package name
 *          PRETOPIC
 *          TOPIC
 */
public class BundleTopics {

    /**
     * Method buildTopicName.
     * @param ref
     * @return String
     */
    static public String getPreTopic(Object  ref) {
        String res = null;
        String objectName = "" + ref;
        objectName = objectName.replace(' ','_');
       
        return OpenCCM_Topics.getPreTopic(objectName); 
   }
}
