/*====================================================================

Copyright (C) 2002 INTRACOM/COACH Project
Contact: fset@intracom.gr

Initial developer(s): Fofy Setaki.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmfCommon;
import intt.itu.itut_x780.*;

/**
 * This is the implementation of the OMG IDL3
 *  itut_x780Components::DeleteErrorInfoType valuetype. 
 */

public class DeleteErrorInfoTypeImpl
extends DeleteErrorInfoType {

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /** The default constructor. */
    public DeleteErrorInfoTypeImpl() {

		this.error = new UIDType();
		this.details = new String();
		this.relatedObjects = new org.omg.CosNaming.NameComponent[0][0];
		this.attributeList = new intt.itu.itut_x780.AttributeValueType[0];
	}
	
    /**
     * The constructor.
     *
     * @param source Object emitting notification.
     * @param sourceClass      Actual class of source object.
	 */
	public DeleteErrorInfoTypeImpl(UIDType error,
							String details) {
		
		this.error = error;
		this.details = details;
		this.relatedObjects = new org.omg.CosNaming.NameComponent[0][0];
		this.attributeList = new intt.itu.itut_x780.AttributeValueType[0];
	}

	public DeleteErrorInfoTypeImpl(UIDType error,
                String details,
				org.omg.CosNaming.NameComponent[][] relatedObjects,
				intt.itu.itut_x780.AttributeValueType[] attributeList) {

		this.error = error;
        this.details = details;
        this.relatedObjects = relatedObjects;
		this.attributeList = attributeList;
	}
}


